MySQL 신규 취약점 주의 권고

| 2016년 9월 19일 | 0 Comments
□ 개요
o 오라클社 MySQL에서 원격코드 실행 및 권한상승 등의 피해를 발생시킬 수 있는 취약점이 발견됨[1]
※ MySQL : 오라클에서 개발한 오픈소스 관계형 데이터베이스 관리 시스템
– 공격자가 원격코드 실행 취약점을 이용하여 MySQL 설정 파일을 변경할 경우 공격에 악용될 수 있음
o 영향 받는 버전의 사용자는 피해가 발생할 수 있으므로, 아래 임시 권고 사항 참고
※ 해당 보안 업데이트 발표시 재공지


□ 내용
o MySQL에서 발생하는 원격코드 실행 및 권한상승 취약점(CVE-2016-6662, CVE-2016-6663)

□ 영향 받는 소프트웨어
ㅇ MySQL 5.7.15, 5.6.33, 5.5.52

□ 임시 권고 사항
o 해당 취약점에 대한 보안 업데이트가 발표되지 않아 패치가 발표 될 때까지 MySQL 환경설정 파일이 노출되지 않도록 주의
o 공격자의 익스플로잇 시도를 방해하기 위해 사용하지 않는 환경설정 파일의 더미 파일 생성
o 패치가 발표 될 때까지, 해당 취약점을 해결한 MySQL 기반의 데이터베이스 관리 시스템인 MariaDB, PerconaDB 사용 권고[2][3]

□ 기타 문의사항
o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

[참고사이트]
[1] http://legalhackers.com/advisories/MySQL-Exploit-Remote-Root-Code-Execution-Privesc-CVE-2016-6662.txt
[2] https://mariadb.org/download/
[3] https://www.percona.com/software/mysql-database

※ mariadb & perconadb 의 경우 패치가 완료되어 배포중이며, 오라클社 MySQL 의 경우 현재 패치가 발표되지 않음.

Category: 보안이슈, 서버보안

About the Author ()

기술지원 관리자 리얼서버 클라우드 기술적 관리자 정보보호관리체계(ISMS) 관리적 정보보호 담당자